Bug 1411835 (CVE-2017-5334) - CVE-2017-5334 gnutls: Double-free while decoding crafted X.509 certificates
Summary: CVE-2017-5334 gnutls: Double-free while decoding crafted X.509 certificates
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5334
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411838 1411846 1413836
Blocks: 1411837 1415638
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:26 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
6 users (show)

Fixed In Version: gnutls 3.3.26, gnutls 3.5.8
Doc Type: If docs needed, set a value
Doc Text:
A double-free flaw was found in the way GnuTLS parsed certain X.509 certificates with Proxy Certificate Information extension. An attacker could create a specially-crafted certificate which, when processed by an application compiled against GnuTLS, could cause that application to crash.
Clone Of:
Environment:
Last Closed: 2018-09-13 06:46:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2292 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC

Description Andrej Nemec 2017-01-10 15:26:02 UTC
It was found that decoding a specially crafted X.509 certificate with Proxy Certificate Information extension present could lead to a double free. This issue was fixed in GnuTLS 3.3.26 and 3.5.8.

External References:

https://gnutls.org/security.html#GNUTLS-SA-2017-1

Upstream patch:

https://gitlab.com/gnutls/gnutls/commit/c5aaa488a3d6df712dc8dff23a049133cab5ec1b

Comment 1 Andrej Nemec 2017-01-10 15:31:17 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1411838]

Comment 2 Nikos Mavrogiannopoulos 2017-01-10 15:39:44 UTC
This was addressed in F25 with https://bodhi.fedoraproject.org/updates/FEDORA-2017-88f1664dd4

Comment 3 Andrej Nemec 2017-01-10 15:44:12 UTC
Created gnutls30 tracking bugs for this issue:

Affects: epel-6 [bug 1411846]

Comment 4 Andrej Nemec 2017-01-11 13:37:15 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/57

Comment 6 errata-xmlrpc 2017-08-01 08:49:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2292 https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.